PO4A-UPDATEPO(1p)

NOMBRE
po4a-updatepo - Actualiza la traducción (en formato PO) de la documentación

SINOPSIS
po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

(XX.po son la salida, todos los otros son entrada)

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en áreas donde no eran de esperar, como la documentación.

El script po4a-updatepo se encarga de la actualización de los ficheros PO para que reflejen los cambios realizados en los ficheros de documentación originales. Para eso, convierte el fichero de documentación a un fichero POT, e invoca msgmerge(1) sobre este nuevo POT y los ficheros PO proporcionados.

Es posible proporcionar más de un fichero PO (si quiere actualizar varios idiomas a la vez), y varios ficheros de documentación (si quiere guardar la traducción de varios documentos en un mismo fichero PO).

Si el documento original contiene caracteres no ASCII, convertirá los ficheros PO a UTF-8 (si no lo usaban ya), para permitir caracteres no estándar de una forma independiente de la cultura.

OPCIONES

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-m, --master
    Los fichero(s) que contienen el documento original a traducir.

-M, --master-charset
    El juego de caracteres de los ficheros que contienen el documento a traducir. Todos los ficheros deben tener el mismo juego de caracteres.

-p, --po
    Fichero(s) PO a actualizar. Si no existen los ficheros se generaran con po4a-updatepo.

-o, --option
    Opciones adicionales a introducir a la extensión del formato y otro módulo interno de po4a. Especifique cada opción con el formato «nombre=valor». Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y sus significados.

--no-previous
    Esta opción añade --previous a las opciones introducidas a msgmerge. Esto permite la compatibilidad con versiones de gettext anteriores a 0.16.

--previous
    Esta opción añade --previous a las opciones introducidas a msgmerge. Requiere gettext 0.16 o posterior, y está activada por omisión.

--msgmerge-opt opciones
    Extra options for msgmerge(1).

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Lista los formatos de documentación reconocidos por po4a.

-V, --version
    Muestra la versión del script y cierra

-v, --verbose
    Aumenta la cantidad de mensajes informativos del programa.

-d, --debug
    Devuelve por la salida información de depuración de fallos.

--porefs type[,wrap|nowrap]
    Specify the reference format. Argument type can be one of never to not produce any reference, file to only specify the file without the line number, counter to replace line number by an increasing counter, and full to include complete references (default: full).

    El argumento puede preceder a una coma y a la palabra clave wrap o nowrap. Las referencias se escriben en una sola línea por omisión. La opción wrap justifica las referencias en varias líneas, para imitar a las herramientas gettext (xgettext y msgmerge). Esta opción será el comportamiento predefinido en el futuro, ya que es más inteligente. La opción nowrap está disponible para aquellos usuarios que deseen mantener el comportamiento antiguo.

--msgid-bugs-address email@address
    Define el destinatario de los informes de fallo en los msgid. Por omisión, los ficheros POT creados no tienen el campo «Report-Msgid-Bugs-To».

--copyright-holder string
    Define el propietario del copyright en la cabecera del POT. El valor predefinido es «Free Software Foundation, Inc».

--package-name string
    Define el nombre del paquete en la cabecera del POT. El valor por omisión es «PACKAGE».

--package-version string
    Define la versión del paquete en la cabecera del POT. El valor por omisión es «VERSION».

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2012 by SPI, inc.

Esto es software libre; puede redistribuirlo y/o modificarlo bajo las condiciones de la licencia GPL (consulte el fichero COPYING).